Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network224.160.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
224.160.0.0
Broadcast address
224.191.255.255
First usable
224.160.0.1
Last usable
224.191.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E0A00000 · Integer 3768582144 to 3770679295
Reverse DNS zones
160.224.in-addr.arpa
161.224.in-addr.arpa
162.224.in-addr.arpa
163.224.in-addr.arpa
164.224.in-addr.arpa
165.224.in-addr.arpa
166.224.in-addr.arpa
167.224.in-addr.arpa
168.224.in-addr.arpa
169.224.in-addr.arpa
170.224.in-addr.arpa
171.224.in-addr.arpa
172.224.in-addr.arpa
173.224.in-addr.arpa
174.224.in-addr.arpa
175.224.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100000.10100000.00000000.00000000224.160.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network11100000.10100000.00000000.00000000224.160.0.0
Broadcast11100000.10111111.11111111.11111111224.191.255.255
Split into smaller subnets/21

224.160.0.0/11 makes 1,024 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1224.160.0.0/21224.160.0.1 to 224.160.7.254224.160.7.2552,046
2224.160.8.0/21224.160.8.1 to 224.160.15.254224.160.15.2552,046
3224.160.16.0/21224.160.16.1 to 224.160.23.254224.160.23.2552,046
4224.160.24.0/21224.160.24.1 to 224.160.31.254224.160.31.2552,046
5224.160.32.0/21224.160.32.1 to 224.160.39.254224.160.39.2552,046
6224.160.40.0/21224.160.40.1 to 224.160.47.254224.160.47.2552,046
7224.160.48.0/21224.160.48.1 to 224.160.55.254224.160.55.2552,046
8224.160.56.0/21224.160.56.1 to 224.160.63.254224.160.63.2552,046
9224.160.64.0/21224.160.64.1 to 224.160.71.254224.160.71.2552,046
10224.160.72.0/21224.160.72.1 to 224.160.79.254224.160.79.2552,046
11224.160.80.0/21224.160.80.1 to 224.160.87.254224.160.87.2552,046
12224.160.88.0/21224.160.88.1 to 224.160.95.254224.160.95.2552,046
13224.160.96.0/21224.160.96.1 to 224.160.103.254224.160.103.2552,046
14224.160.104.0/21224.160.104.1 to 224.160.111.254224.160.111.2552,046
15224.160.112.0/21224.160.112.1 to 224.160.119.254224.160.119.2552,046
16224.160.120.0/21224.160.120.1 to 224.160.127.254224.160.127.2552,046
17224.160.128.0/21224.160.128.1 to 224.160.135.254224.160.135.2552,046
18224.160.136.0/21224.160.136.1 to 224.160.143.254224.160.143.2552,046
19224.160.144.0/21224.160.144.1 to 224.160.151.254224.160.151.2552,046
20224.160.152.0/21224.160.152.1 to 224.160.159.254224.160.159.2552,046
21224.160.160.0/21224.160.160.1 to 224.160.167.254224.160.167.2552,046
22224.160.168.0/21224.160.168.1 to 224.160.175.254224.160.175.2552,046
23224.160.176.0/21224.160.176.1 to 224.160.183.254224.160.183.2552,046
24224.160.184.0/21224.160.184.1 to 224.160.191.254224.160.191.2552,046
25224.160.192.0/21224.160.192.1 to 224.160.199.254224.160.199.2552,046
26224.160.200.0/21224.160.200.1 to 224.160.207.254224.160.207.2552,046
27224.160.208.0/21224.160.208.1 to 224.160.215.254224.160.215.2552,046
28224.160.216.0/21224.160.216.1 to 224.160.223.254224.160.223.2552,046
29224.160.224.0/21224.160.224.1 to 224.160.231.254224.160.231.2552,046
30224.160.232.0/21224.160.232.1 to 224.160.239.254224.160.239.2552,046
31224.160.240.0/21224.160.240.1 to 224.160.247.254224.160.247.2552,046
32224.160.248.0/21224.160.248.1 to 224.160.255.254224.160.255.2552,046
33224.161.0.0/21224.161.0.1 to 224.161.7.254224.161.7.2552,046
34224.161.8.0/21224.161.8.1 to 224.161.15.254224.161.15.2552,046
35224.161.16.0/21224.161.16.1 to 224.161.23.254224.161.23.2552,046
36224.161.24.0/21224.161.24.1 to 224.161.31.254224.161.31.2552,046
37224.161.32.0/21224.161.32.1 to 224.161.39.254224.161.39.2552,046
38224.161.40.0/21224.161.40.1 to 224.161.47.254224.161.47.2552,046
39224.161.48.0/21224.161.48.1 to 224.161.55.254224.161.55.2552,046
40224.161.56.0/21224.161.56.1 to 224.161.63.254224.161.63.2552,046
41224.161.64.0/21224.161.64.1 to 224.161.71.254224.161.71.2552,046
42224.161.72.0/21224.161.72.1 to 224.161.79.254224.161.79.2552,046
43224.161.80.0/21224.161.80.1 to 224.161.87.254224.161.87.2552,046
44224.161.88.0/21224.161.88.1 to 224.161.95.254224.161.95.2552,046
45224.161.96.0/21224.161.96.1 to 224.161.103.254224.161.103.2552,046
46224.161.104.0/21224.161.104.1 to 224.161.111.254224.161.111.2552,046
47224.161.112.0/21224.161.112.1 to 224.161.119.254224.161.119.2552,046
48224.161.120.0/21224.161.120.1 to 224.161.127.254224.161.127.2552,046
49224.161.128.0/21224.161.128.1 to 224.161.135.254224.161.135.2552,046
50224.161.136.0/21224.161.136.1 to 224.161.143.254224.161.143.2552,046
51224.161.144.0/21224.161.144.1 to 224.161.151.254224.161.151.2552,046
52224.161.152.0/21224.161.152.1 to 224.161.159.254224.161.159.2552,046
53224.161.160.0/21224.161.160.1 to 224.161.167.254224.161.167.2552,046
54224.161.168.0/21224.161.168.1 to 224.161.175.254224.161.175.2552,046
55224.161.176.0/21224.161.176.1 to 224.161.183.254224.161.183.2552,046
56224.161.184.0/21224.161.184.1 to 224.161.191.254224.161.191.2552,046
57224.161.192.0/21224.161.192.1 to 224.161.199.254224.161.199.2552,046
58224.161.200.0/21224.161.200.1 to 224.161.207.254224.161.207.2552,046
59224.161.208.0/21224.161.208.1 to 224.161.215.254224.161.215.2552,046
60224.161.216.0/21224.161.216.1 to 224.161.223.254224.161.223.2552,046
61224.161.224.0/21224.161.224.1 to 224.161.231.254224.161.231.2552,046
62224.161.232.0/21224.161.232.1 to 224.161.239.254224.161.239.2552,046
63224.161.240.0/21224.161.240.1 to 224.161.247.254224.161.247.2552,046
64224.161.248.0/21224.161.248.1 to 224.161.255.254224.161.255.2552,046
65224.162.0.0/21224.162.0.1 to 224.162.7.254224.162.7.2552,046
66224.162.8.0/21224.162.8.1 to 224.162.15.254224.162.15.2552,046
67224.162.16.0/21224.162.16.1 to 224.162.23.254224.162.23.2552,046
68224.162.24.0/21224.162.24.1 to 224.162.31.254224.162.31.2552,046
69224.162.32.0/21224.162.32.1 to 224.162.39.254224.162.39.2552,046
70224.162.40.0/21224.162.40.1 to 224.162.47.254224.162.47.2552,046
71224.162.48.0/21224.162.48.1 to 224.162.55.254224.162.55.2552,046
72224.162.56.0/21224.162.56.1 to 224.162.63.254224.162.63.2552,046
73224.162.64.0/21224.162.64.1 to 224.162.71.254224.162.71.2552,046
74224.162.72.0/21224.162.72.1 to 224.162.79.254224.162.79.2552,046
75224.162.80.0/21224.162.80.1 to 224.162.87.254224.162.87.2552,046
76224.162.88.0/21224.162.88.1 to 224.162.95.254224.162.95.2552,046
77224.162.96.0/21224.162.96.1 to 224.162.103.254224.162.103.2552,046
78224.162.104.0/21224.162.104.1 to 224.162.111.254224.162.111.2552,046
79224.162.112.0/21224.162.112.1 to 224.162.119.254224.162.119.2552,046
80224.162.120.0/21224.162.120.1 to 224.162.127.254224.162.127.2552,046
81224.162.128.0/21224.162.128.1 to 224.162.135.254224.162.135.2552,046
82224.162.136.0/21224.162.136.1 to 224.162.143.254224.162.143.2552,046
83224.162.144.0/21224.162.144.1 to 224.162.151.254224.162.151.2552,046
84224.162.152.0/21224.162.152.1 to 224.162.159.254224.162.159.2552,046
85224.162.160.0/21224.162.160.1 to 224.162.167.254224.162.167.2552,046
86224.162.168.0/21224.162.168.1 to 224.162.175.254224.162.175.2552,046
87224.162.176.0/21224.162.176.1 to 224.162.183.254224.162.183.2552,046
88224.162.184.0/21224.162.184.1 to 224.162.191.254224.162.191.2552,046
89224.162.192.0/21224.162.192.1 to 224.162.199.254224.162.199.2552,046
90224.162.200.0/21224.162.200.1 to 224.162.207.254224.162.207.2552,046
91224.162.208.0/21224.162.208.1 to 224.162.215.254224.162.215.2552,046
92224.162.216.0/21224.162.216.1 to 224.162.223.254224.162.223.2552,046
93224.162.224.0/21224.162.224.1 to 224.162.231.254224.162.231.2552,046
94224.162.232.0/21224.162.232.1 to 224.162.239.254224.162.239.2552,046
95224.162.240.0/21224.162.240.1 to 224.162.247.254224.162.247.2552,046
96224.162.248.0/21224.162.248.1 to 224.162.255.254224.162.255.2552,046
97224.163.0.0/21224.163.0.1 to 224.163.7.254224.163.7.2552,046
98224.163.8.0/21224.163.8.1 to 224.163.15.254224.163.15.2552,046
99224.163.16.0/21224.163.16.1 to 224.163.23.254224.163.23.2552,046
100224.163.24.0/21224.163.24.1 to 224.163.31.254224.163.31.2552,046
101224.163.32.0/21224.163.32.1 to 224.163.39.254224.163.39.2552,046
102224.163.40.0/21224.163.40.1 to 224.163.47.254224.163.47.2552,046
103224.163.48.0/21224.163.48.1 to 224.163.55.254224.163.55.2552,046
104224.163.56.0/21224.163.56.1 to 224.163.63.254224.163.63.2552,046
105224.163.64.0/21224.163.64.1 to 224.163.71.254224.163.71.2552,046
106224.163.72.0/21224.163.72.1 to 224.163.79.254224.163.79.2552,046
107224.163.80.0/21224.163.80.1 to 224.163.87.254224.163.87.2552,046
108224.163.88.0/21224.163.88.1 to 224.163.95.254224.163.95.2552,046
109224.163.96.0/21224.163.96.1 to 224.163.103.254224.163.103.2552,046
110224.163.104.0/21224.163.104.1 to 224.163.111.254224.163.111.2552,046
111224.163.112.0/21224.163.112.1 to 224.163.119.254224.163.119.2552,046
112224.163.120.0/21224.163.120.1 to 224.163.127.254224.163.127.2552,046
113224.163.128.0/21224.163.128.1 to 224.163.135.254224.163.135.2552,046
114224.163.136.0/21224.163.136.1 to 224.163.143.254224.163.143.2552,046
115224.163.144.0/21224.163.144.1 to 224.163.151.254224.163.151.2552,046
116224.163.152.0/21224.163.152.1 to 224.163.159.254224.163.159.2552,046
117224.163.160.0/21224.163.160.1 to 224.163.167.254224.163.167.2552,046
118224.163.168.0/21224.163.168.1 to 224.163.175.254224.163.175.2552,046
119224.163.176.0/21224.163.176.1 to 224.163.183.254224.163.183.2552,046
120224.163.184.0/21224.163.184.1 to 224.163.191.254224.163.191.2552,046
121224.163.192.0/21224.163.192.1 to 224.163.199.254224.163.199.2552,046
122224.163.200.0/21224.163.200.1 to 224.163.207.254224.163.207.2552,046
123224.163.208.0/21224.163.208.1 to 224.163.215.254224.163.215.2552,046
124224.163.216.0/21224.163.216.1 to 224.163.223.254224.163.223.2552,046
125224.163.224.0/21224.163.224.1 to 224.163.231.254224.163.231.2552,046
126224.163.232.0/21224.163.232.1 to 224.163.239.254224.163.239.2552,046
127224.163.240.0/21224.163.240.1 to 224.163.247.254224.163.247.2552,046
128224.163.248.0/21224.163.248.1 to 224.163.255.254224.163.255.2552,046
129224.164.0.0/21224.164.0.1 to 224.164.7.254224.164.7.2552,046
130224.164.8.0/21224.164.8.1 to 224.164.15.254224.164.15.2552,046
131224.164.16.0/21224.164.16.1 to 224.164.23.254224.164.23.2552,046
132224.164.24.0/21224.164.24.1 to 224.164.31.254224.164.31.2552,046
133224.164.32.0/21224.164.32.1 to 224.164.39.254224.164.39.2552,046
134224.164.40.0/21224.164.40.1 to 224.164.47.254224.164.47.2552,046
135224.164.48.0/21224.164.48.1 to 224.164.55.254224.164.55.2552,046
136224.164.56.0/21224.164.56.1 to 224.164.63.254224.164.63.2552,046
137224.164.64.0/21224.164.64.1 to 224.164.71.254224.164.71.2552,046
138224.164.72.0/21224.164.72.1 to 224.164.79.254224.164.79.2552,046
139224.164.80.0/21224.164.80.1 to 224.164.87.254224.164.87.2552,046
140224.164.88.0/21224.164.88.1 to 224.164.95.254224.164.95.2552,046
141224.164.96.0/21224.164.96.1 to 224.164.103.254224.164.103.2552,046
142224.164.104.0/21224.164.104.1 to 224.164.111.254224.164.111.2552,046
143224.164.112.0/21224.164.112.1 to 224.164.119.254224.164.119.2552,046
144224.164.120.0/21224.164.120.1 to 224.164.127.254224.164.127.2552,046
145224.164.128.0/21224.164.128.1 to 224.164.135.254224.164.135.2552,046
146224.164.136.0/21224.164.136.1 to 224.164.143.254224.164.143.2552,046
147224.164.144.0/21224.164.144.1 to 224.164.151.254224.164.151.2552,046
148224.164.152.0/21224.164.152.1 to 224.164.159.254224.164.159.2552,046
149224.164.160.0/21224.164.160.1 to 224.164.167.254224.164.167.2552,046
150224.164.168.0/21224.164.168.1 to 224.164.175.254224.164.175.2552,046
151224.164.176.0/21224.164.176.1 to 224.164.183.254224.164.183.2552,046
152224.164.184.0/21224.164.184.1 to 224.164.191.254224.164.191.2552,046
153224.164.192.0/21224.164.192.1 to 224.164.199.254224.164.199.2552,046
154224.164.200.0/21224.164.200.1 to 224.164.207.254224.164.207.2552,046
155224.164.208.0/21224.164.208.1 to 224.164.215.254224.164.215.2552,046
156224.164.216.0/21224.164.216.1 to 224.164.223.254224.164.223.2552,046
157224.164.224.0/21224.164.224.1 to 224.164.231.254224.164.231.2552,046
158224.164.232.0/21224.164.232.1 to 224.164.239.254224.164.239.2552,046
159224.164.240.0/21224.164.240.1 to 224.164.247.254224.164.247.2552,046
160224.164.248.0/21224.164.248.1 to 224.164.255.254224.164.255.2552,046
161224.165.0.0/21224.165.0.1 to 224.165.7.254224.165.7.2552,046
162224.165.8.0/21224.165.8.1 to 224.165.15.254224.165.15.2552,046
163224.165.16.0/21224.165.16.1 to 224.165.23.254224.165.23.2552,046
164224.165.24.0/21224.165.24.1 to 224.165.31.254224.165.31.2552,046
165224.165.32.0/21224.165.32.1 to 224.165.39.254224.165.39.2552,046
166224.165.40.0/21224.165.40.1 to 224.165.47.254224.165.47.2552,046
167224.165.48.0/21224.165.48.1 to 224.165.55.254224.165.55.2552,046
168224.165.56.0/21224.165.56.1 to 224.165.63.254224.165.63.2552,046
169224.165.64.0/21224.165.64.1 to 224.165.71.254224.165.71.2552,046
170224.165.72.0/21224.165.72.1 to 224.165.79.254224.165.79.2552,046
171224.165.80.0/21224.165.80.1 to 224.165.87.254224.165.87.2552,046
172224.165.88.0/21224.165.88.1 to 224.165.95.254224.165.95.2552,046
173224.165.96.0/21224.165.96.1 to 224.165.103.254224.165.103.2552,046
174224.165.104.0/21224.165.104.1 to 224.165.111.254224.165.111.2552,046
175224.165.112.0/21224.165.112.1 to 224.165.119.254224.165.119.2552,046
176224.165.120.0/21224.165.120.1 to 224.165.127.254224.165.127.2552,046
177224.165.128.0/21224.165.128.1 to 224.165.135.254224.165.135.2552,046
178224.165.136.0/21224.165.136.1 to 224.165.143.254224.165.143.2552,046
179224.165.144.0/21224.165.144.1 to 224.165.151.254224.165.151.2552,046
180224.165.152.0/21224.165.152.1 to 224.165.159.254224.165.159.2552,046
181224.165.160.0/21224.165.160.1 to 224.165.167.254224.165.167.2552,046
182224.165.168.0/21224.165.168.1 to 224.165.175.254224.165.175.2552,046
183224.165.176.0/21224.165.176.1 to 224.165.183.254224.165.183.2552,046
184224.165.184.0/21224.165.184.1 to 224.165.191.254224.165.191.2552,046
185224.165.192.0/21224.165.192.1 to 224.165.199.254224.165.199.2552,046
186224.165.200.0/21224.165.200.1 to 224.165.207.254224.165.207.2552,046
187224.165.208.0/21224.165.208.1 to 224.165.215.254224.165.215.2552,046
188224.165.216.0/21224.165.216.1 to 224.165.223.254224.165.223.2552,046
189224.165.224.0/21224.165.224.1 to 224.165.231.254224.165.231.2552,046
190224.165.232.0/21224.165.232.1 to 224.165.239.254224.165.239.2552,046
191224.165.240.0/21224.165.240.1 to 224.165.247.254224.165.247.2552,046
192224.165.248.0/21224.165.248.1 to 224.165.255.254224.165.255.2552,046
193224.166.0.0/21224.166.0.1 to 224.166.7.254224.166.7.2552,046
194224.166.8.0/21224.166.8.1 to 224.166.15.254224.166.15.2552,046
195224.166.16.0/21224.166.16.1 to 224.166.23.254224.166.23.2552,046
196224.166.24.0/21224.166.24.1 to 224.166.31.254224.166.31.2552,046
197224.166.32.0/21224.166.32.1 to 224.166.39.254224.166.39.2552,046
198224.166.40.0/21224.166.40.1 to 224.166.47.254224.166.47.2552,046
199224.166.48.0/21224.166.48.1 to 224.166.55.254224.166.55.2552,046
200224.166.56.0/21224.166.56.1 to 224.166.63.254224.166.63.2552,046
201224.166.64.0/21224.166.64.1 to 224.166.71.254224.166.71.2552,046
202224.166.72.0/21224.166.72.1 to 224.166.79.254224.166.79.2552,046
203224.166.80.0/21224.166.80.1 to 224.166.87.254224.166.87.2552,046
204224.166.88.0/21224.166.88.1 to 224.166.95.254224.166.95.2552,046
205224.166.96.0/21224.166.96.1 to 224.166.103.254224.166.103.2552,046
206224.166.104.0/21224.166.104.1 to 224.166.111.254224.166.111.2552,046
207224.166.112.0/21224.166.112.1 to 224.166.119.254224.166.119.2552,046
208224.166.120.0/21224.166.120.1 to 224.166.127.254224.166.127.2552,046
209224.166.128.0/21224.166.128.1 to 224.166.135.254224.166.135.2552,046
210224.166.136.0/21224.166.136.1 to 224.166.143.254224.166.143.2552,046
211224.166.144.0/21224.166.144.1 to 224.166.151.254224.166.151.2552,046
212224.166.152.0/21224.166.152.1 to 224.166.159.254224.166.159.2552,046
213224.166.160.0/21224.166.160.1 to 224.166.167.254224.166.167.2552,046
214224.166.168.0/21224.166.168.1 to 224.166.175.254224.166.175.2552,046
215224.166.176.0/21224.166.176.1 to 224.166.183.254224.166.183.2552,046
216224.166.184.0/21224.166.184.1 to 224.166.191.254224.166.191.2552,046
217224.166.192.0/21224.166.192.1 to 224.166.199.254224.166.199.2552,046
218224.166.200.0/21224.166.200.1 to 224.166.207.254224.166.207.2552,046
219224.166.208.0/21224.166.208.1 to 224.166.215.254224.166.215.2552,046
220224.166.216.0/21224.166.216.1 to 224.166.223.254224.166.223.2552,046
221224.166.224.0/21224.166.224.1 to 224.166.231.254224.166.231.2552,046
222224.166.232.0/21224.166.232.1 to 224.166.239.254224.166.239.2552,046
223224.166.240.0/21224.166.240.1 to 224.166.247.254224.166.247.2552,046
224224.166.248.0/21224.166.248.1 to 224.166.255.254224.166.255.2552,046
225224.167.0.0/21224.167.0.1 to 224.167.7.254224.167.7.2552,046
226224.167.8.0/21224.167.8.1 to 224.167.15.254224.167.15.2552,046
227224.167.16.0/21224.167.16.1 to 224.167.23.254224.167.23.2552,046
228224.167.24.0/21224.167.24.1 to 224.167.31.254224.167.31.2552,046
229224.167.32.0/21224.167.32.1 to 224.167.39.254224.167.39.2552,046
230224.167.40.0/21224.167.40.1 to 224.167.47.254224.167.47.2552,046
231224.167.48.0/21224.167.48.1 to 224.167.55.254224.167.55.2552,046
232224.167.56.0/21224.167.56.1 to 224.167.63.254224.167.63.2552,046
233224.167.64.0/21224.167.64.1 to 224.167.71.254224.167.71.2552,046
234224.167.72.0/21224.167.72.1 to 224.167.79.254224.167.79.2552,046
235224.167.80.0/21224.167.80.1 to 224.167.87.254224.167.87.2552,046
236224.167.88.0/21224.167.88.1 to 224.167.95.254224.167.95.2552,046
237224.167.96.0/21224.167.96.1 to 224.167.103.254224.167.103.2552,046
238224.167.104.0/21224.167.104.1 to 224.167.111.254224.167.111.2552,046
239224.167.112.0/21224.167.112.1 to 224.167.119.254224.167.119.2552,046
240224.167.120.0/21224.167.120.1 to 224.167.127.254224.167.127.2552,046
241224.167.128.0/21224.167.128.1 to 224.167.135.254224.167.135.2552,046
242224.167.136.0/21224.167.136.1 to 224.167.143.254224.167.143.2552,046
243224.167.144.0/21224.167.144.1 to 224.167.151.254224.167.151.2552,046
244224.167.152.0/21224.167.152.1 to 224.167.159.254224.167.159.2552,046
245224.167.160.0/21224.167.160.1 to 224.167.167.254224.167.167.2552,046
246224.167.168.0/21224.167.168.1 to 224.167.175.254224.167.175.2552,046
247224.167.176.0/21224.167.176.1 to 224.167.183.254224.167.183.2552,046
248224.167.184.0/21224.167.184.1 to 224.167.191.254224.167.191.2552,046
249224.167.192.0/21224.167.192.1 to 224.167.199.254224.167.199.2552,046
250224.167.200.0/21224.167.200.1 to 224.167.207.254224.167.207.2552,046
251224.167.208.0/21224.167.208.1 to 224.167.215.254224.167.215.2552,046
252224.167.216.0/21224.167.216.1 to 224.167.223.254224.167.223.2552,046
253224.167.224.0/21224.167.224.1 to 224.167.231.254224.167.231.2552,046
254224.167.232.0/21224.167.232.1 to 224.167.239.254224.167.239.2552,046
255224.167.240.0/21224.167.240.1 to 224.167.247.254224.167.247.2552,046
256224.167.248.0/21224.167.248.1 to 224.167.255.254224.167.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses